std::decay< _Tp > Class Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

typedef __decay_selector< __remove_type >::__type | type

## Detailed Description

template<typename _Tp>
class std::decay< _Tp >

decay

Definition at line 2185 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp>

typedef __decay_selector<__remove_type>::__type std::decay< _Tp >::type

Definition at line 2190 of file type_traits.

The documentation for this class was generated from the following file:

- type_traits